# Commands

You can interact with an AuroraUser's metadata holder through commands. You can also use the built-in CommandDispatcher to test how it would work in other plugins.

Every command needs  `aurora.core.admin` permission (or a more specialized sub permission, LuckPerms will autocomplete it). `<this>` is the syntax of a required argument and `[this]` is the syntax for an optional argument.

### List of commands

| Command                                              | Description                                                                                                                                                                                                                                     |
| ---------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `/aurora dispatch <player> <command>`                | Will dispatch a command using CommandDispatcher while setting the player as the placeholder provider source.                                                                                                                                    |
| `/aurora meta get <player> <metakey>`                | Will return the value associated with the provided key for the specified player.                                                                                                                                                                |
| `/aurora meta set <player> <key> <value>`            | Will set the provided value for the key on the player. Value can be text (string) or any valid number (int, long, double)                                                                                                                       |
| `/aurora meta remove <player> <key>`                 | Deletes the metadata that matches the given key for the player.                                                                                                                                                                                 |
| `/aurora meta increment <player> <key> [number]`     | This will increment a meta value that matches the given key for the player. Default value for the number if omitted is 1. If metadata doesn't exist for the given key, it will be created.                                                      |
| `/aurora meta decrement <player> <key> [number]`     | This will decrement a meta value that matches the given key for the player. Default value for the number if omitted is 1. If metadata doesn't exist for the given key, it will be created. By default this command doesn't allow to go below 0. |
| `/aurora dbmigrate`                                  | Migrate your player data from the current storage to the other one.                                                                                                                                                                             |
| `/aurora gui open <player> <menu>`                   | Opens a custom menu GUI for a player.                                                                                                                                                                                                           |
| `/aurora gui reload`                                 | Reload GUI configs.                                                                                                                                                                                                                             |
| `/aurora registeritem <id>`                          | Registers and saves the item you are holding in your hand. You can reference it in menus/rewards using `aurora:id` later on.                                                                                                                    |
| `/aurora giveitem <player> <namespaced_id> [amount]` | Gives an item using the built-in item resolver. Eg: `oraxen:custom_sword` or `aurora:my_item`                                                                                                                                                   |
| `/aurora unregisteritem <id>`                        | Deletes a previously registered save item.                                                                                                                                                                                                      |
| `/stash`                                             | This is a player command. Other Aurora plugins can put items into the player's stash, allowing them to claim them later.                                                                                                                        |
| `/stash view <player>`                               | Admin command to see another player's stash. Removing items is also possible here.                                                                                                                                                              |
| `/aurora debug itemid`                               | Will show the item id of item you are currently holding.                                                                                                                                                                                        |
| `/aurora debug blockinfo`                            | Will show whether the block you are looking at is placed by a palyer or not.                                                                                                                                                                    |
| `/aurora debug blockremove`                          | Marks the block you are looking at not player placed.                                                                                                                                                                                           |
| `/aurora leaderboard clear <board>`                  | Clears a leaderboard. Might take a few minutes to update.                                                                                                                                                                                       |
| `/language <language>`                               | <p>Requires <code>aurora.core.user.language</code> permission, which is <strong>not</strong> granted by default. Allows players to select their language from the supported languages</p><p> </p>                                               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.auroramc.gg/aurora/commands.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
